package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class SnSslLog extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long id;
   @Excel(
      name = "域名"
   )
   private String domain;
   @Excel(
      name = "证书地址"
   )
   private String pem;
   @Excel(
      name = "密钥地址"
   )
   private String key;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   @Excel(
      name = "过期时间",
      width = 30.0,
      dateFormat = "yyyy-MM-dd HH:mm:ss"
   )
   private Date expireTime;

   public void setId(Long id) {
      this.id = id;
   }

   public Long getId() {
      return this.id;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public String getDomain() {
      return this.domain;
   }

   public void setPem(String pem) {
      this.pem = pem;
   }

   public String getPem() {
      return this.pem;
   }

   public void setKey(String key) {
      this.key = key;
   }

   public String getKey() {
      return this.key;
   }

   public void setExpireTime(Date expireTime) {
      this.expireTime = expireTime;
   }

   public Date getExpireTime() {
      return this.expireTime;
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("id", this.getId()).append("domain", this.getDomain()).append("pem", this.getPem()).append("key", this.getKey()).append("expireTime", this.getExpireTime()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).toString();
   }
}
